
package de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis.berechner;

import de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis.StimmenAktuellMitVorperiode;

/**
 *  on 06.09.2017.
 */
public abstract class AbstractErstUndZweitstimmenAktuellMitVorperiodeBerechner {

  abstract Long getErststimmenAktuell();

  abstract Long getZweitstimmenAktuell();

  abstract Long getErststimmenVorperiode();

  abstract Long getZweitstimmenVorperiode();

  public StimmenAktuellMitVorperiode getStimmenAktuellMitVorperiode() {
    return new StimmenAktuellMitVorperiode(getErststimmenAktuell(), getErststimmenVorperiode(),
        getZweitstimmenAktuell(), getZweitstimmenVorperiode());
  }
}
